---
- name: Configure sudoers file
  ansible.builtin.import_tasks: sudoers.yaml

- name: Configure SSH server
  ansible.builtin.import_tasks: sshd.yaml

- name: Configure network settings
  when: skylab_networking is defined
  ansible.builtin.include_tasks: networkd.yaml

- name: Configure firewall settings
  when: skylab_networking is defined
  ansible.builtin.include_tasks: firewalld.yaml

- name: Configure hostsfile
  when: "inventory_hostname in groups.cluster"
  ansible.builtin.import_tasks: hosts.yaml

- name: Enable tmpfs mount
  become: true
  ansible.builtin.systemd:
    name: tmp.mount
    enabled: true
